Follow along with the video below to see how to install our site as a web app on your home screen.
Note: This feature may not be available in some browsers.
The APS Catalog has been deprecated and removed from all Plesk Obsidian versions. Applications already installed from the APS Catalog will continue working. However, Plesk will no longer provide support for APS applications.
Please be aware: with the Plesk Obsidian 18.0.78 release, the support for the ngx_pagespeed.so module will be deprecated and removed from the sw-nginx package.
I may have a workaround, if you guys don't have something better:
- create every subscription with a "fixed" user
- in sshd_config, allow PasswordAuthentication only for this user
- use ansible to copy ssh public key
- rename subscription user using plesk rest api calling plesk cli
Hello,
I'm currently working with ansible to automate a subscription creation.
Here is what i'm achieving right now:
With Plesk xml api :
- Subscription creation
- Database creation for this subscription
- User creation for this database
With Plesk REST api :
- Calling Plesk CLI api to deal...
Ok i see my problem is really specific and doesn't seems to have a simple solution as i don't get any response.
So is there a way to contact the developers of the Plesk Git extension ? Submit an issue somewhere ?
Thanks...
Hello,
Why the Plesk Git extension doesn't accept ".local" for the git url ?
If i want to set a "Remote Git hosting like GitHub or BitBucket" with our internal gitlab, i got an error "The string "[email protected]:user/repository.git" is not a Git URL." and i can't go further.
If i...
Ok thanks, it fix the problem.
Any idea why it occured ? We have multiple servers, same configurations, some of them with "good" composer.phar, some of them with empty one. The date on the file is november 19th, maybe it was cause by a plesk update ?
Hello,
We are using Plesk 12.5.30, update 72, running on debian 8.8 and we have a problem with composer:
In /usr/bin/composer, we have
COMPOSER_BIN="/usr/lib/plesk-9.0/composer.phar"
[ -e "$COMPOSER_BIN" ] || { echo "'$COMPOSER_BIN' not found" >&2; exit 1; }
[ -x "$COMPOSER_BIN" ] || { echo...
Thanks, it worked, you save my day :)
I didn't have any "lmlib" directory in /var/lock, but i had one file "SharedLockManagerStorage0.1" in /usr/local/psa/var/cache/
Hello,
I can't log into Plesk, because whenever i try to go to https://x.x.x.x:8443 or https://fqdn:8443 i got a blank page or a 504 gateway timeout.
It may have started when i kill some "Scheduled Tasks" of a virtual user. Thoses task where apparently stuck since a few days.
I didn't find a...
Ok then, that's for points 1 & 2, thanks for pointing that to me, i'll make a post in the "suggestions" part.
But what about point 3 ? I can't give rights on "Additional configuration directives" to my users, but i can't edit it myself either if i don't want to break the domain creation for my...
Yeah well it's up to each Plesk admin to set his installation correctly no ? If those permissions are added with "false" as default value, it shouldn't create any problem ?
Anyway, what are my options here ? You are telling me i can't do anything to fix or get around my 3 problems ? o_O
Hello,
We are using Plesk 12.5 (12.5.30 atm) and have some questions / troubles. Here is our configuration :
- We are using the Power User view
- We have 2 users who are defined as "admin alias", they are administrating the Plesk
- All others are simple users, assigned to a new specific role...